POST
/
v1
/
projects
/
{project}
/
boxes
/
{name}
/
verbs
/
{verb}
Run a pack instance's verb
curl --request POST \
  --url https://api.example.com/v1/projects/{project}/boxes/{name}/verbs/{verb} \
  --header 'Content-Type: application/json' \
  --data '
{
  "args": [
    "<string>"
  ],
  "stdin_base64": "<string>"
}
'
import requests

url = "https://api.example.com/v1/projects/{project}/boxes/{name}/verbs/{verb}"

payload = {
"args": ["<string>"],
"stdin_base64": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({args: ['<string>'], stdin_base64: '<string>'})
};

fetch('https://api.example.com/v1/projects/{project}/boxes/{name}/verbs/{verb}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "env_set": [
    "<string>"
  ],
  "exit_code": 123,
  "stdout": "<string>",
  "restarted": true
}

Path Parameters

project
string
required

Project name

name
string
required

Instance box name

verb
string
required

Verb name

Body

application/json
args
string[]
stdin_base64
string | null

Optional base64-encoded stdin for stdin: true verbs.

Response

Verb ran (any exit code)

env_set
string[]
required

Names of env keys the verb persisted via $ZOMG_ENV_OUT.

exit_code
integer<int32>
required
stdout
string
required
restarted
boolean

True when persisting env restarted the instance pod (Recreate strategy).